Quick Access uses the "up one directory" icon instead of "Home" icon

Bug #411760 reported by Shaved Wookie on 2009-08-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Low
Unassigned
QuickAccess
Undecided
Unassigned
plasma-widget-quickaccess (Ubuntu)
Undecided
Unassigned

Bug Description

All throughout KDE the up arrow icon and the home icon are used for very consistent things. Up arrow takes users one folder higher and the Home icon takes users to their Home folder/location. You can see these work the same way in Dolphin, Konqueror, Save dialogues and justr about everywhere...

except the Quick Access plasmoid.

For some reason, instead of using the Home icon to return to your Home location (which by default is your Home folder), it uses the up arrow. Numerous times I've watched new users - 20 folders deep - who want to go up one directory in Quick Access, click on "Up" and wonder why they just jumped back 20 directories. The Home icon, however is known to virtually anyone who's ever used a web browser. They know it takes you back to where you started.

Please replace the "Up" arrow icon, with the "Home" icon so the image matches users expectations of what the icon does.

tags: added: hundredpapercuts
tags: added: kubuntu
Shaved Wookie (shavedwookie) wrote :

It's been half a year. Would be cool if someone could at least put a status on this.

Is there anything I can do to help?

Vish (vish) wrote :

Shaved Wookie , Thanks for your patience. Unfortunately this bug has fallen through the cracks.

Could you post a screenshots of the problem and the offending icon. ?[I'm not sure what the problem here is, I use Ubuntu]
Marking the papercut task as incomplete for now

Changed in hundredpapercuts:
status: New → Incomplete
Shaved Wookie (shavedwookie) wrote :

This is the quicklaunch widget, which is default on every install of Kubuntu. It is one of the first things a new user sees when they login / boot a live CD. It is used to quickly browse folders on your computer.

The icon in question is the "up arrow" in the top left corner. It acts exactly as the "Home" icon does in a web browser, taking you back to wherever you started, thus it should really be the "Home" icon. An "up" arrow in file browsing, typically is interpreted as "go up one folder level". It does not do this. I have seen countless new users assume it does, and be surprised when they jump to a completely different folder.

Shaved Wookie (shavedwookie) wrote :

Sorry, that should have been "quick access widget" *not* "quicklaunch", which is a different widget.

Thanks for looking at this bug, Vish.

Rohan Garg (rohangarg) wrote :

Hi i can confirm this bug too, i have KDE 4.4 and Qt 4.6.1
Package: plasma-widget-quickaccess
Priority: optional
Section: kde
Installed-Size: 356
Maintainer: Kubuntu Developers <email address hidden>
Original-Maintainer: Jonathan Thomas <email address hidden>
Architecture: amd64
Version: 0.8.1-0ubuntu3
Depends: kdebase-runtime (>= 4:4.2.98), kdelibs5 (>= 4:4.2.98), libc6 (>= 2.2.5), libgcc1 (>= 1:4.1.1), libkonq5, libplasma3, libqt4-dbus (>= 4.5.1), libqt4-network (>= 4.5.1), libqt4-svg (>= 4.5.1), libqt4-xml (>= 4.5.1), libqtcore4 (>= 4.5.1), libqtgui4 (>= 4.5.1), libstdc++6 (>= 4.1.1)
Filename: pool/main/p/plasma-widget-quickaccess/plasma-widget-quickaccess_0.8.1-0ubuntu3_amd64.deb
Size: 74234
MD5sum: b229bbcdb83174bb453373e778e9bfde
SHA1: 82d01a05a0126ff4017de73dbeb073dfbcc7e3e7
SHA256: 963e0977076610df9ba52e38b532ac818953cd79f7e8d7a77c125a2a70d9776a
Description: An alternate folder display plasma widget
 This is a small widget designed for usage in the panel to provide quick
 access to the most commonly-used folders. This makes it nice for quick
 file browsing.
Homepage: http://kde-look.org/content/show.php/QuickAccess+%28maintenance+fork%29?content=101968
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Task: kubuntu-desktop, kubuntu-netbook, edubuntu-desktop-kde

Changed in plasmoid-quickaccess (Ubuntu):
status: New → Confirmed
Vish (vish) wrote :

@ Scott Kitterman : Could you have a look at this bug? and comment wrt what can be done? and if we can get this fixed for Lucid?
Seems a simple bug that has got lost for all these days.

Changed in hundredpapercuts:
assignee: nobody → Scott Kitterman (kitterman)
status: Incomplete → Confirmed
Rohan Garg (rohangarg) on 2010-02-20
Changed in quickaccess:
status: New → Confirmed
Vish (vish) wrote :

@ Scott Kitterman : Could you have a look at this bug? and comment wrt what can be done? and if we can get this fixed for Lucid?
Seems a simple bug that has got lost for all these days. Thanks.

Changed in hundredpapercuts:
importance: Undecided → Low
Scott Kitterman (kitterman) wrote :

Unless you are also sending a contract to pay for the effort, don't assign bugs to me.

Changed in hundredpapercuts:
assignee: Scott Kitterman (kitterman) → nobody
Vish (vish) wrote :

@Scott Kitterman : The bug was assigned to you for you to have a look and comment about the bug and if it was a papercut candidate..
Not assigned for you to work on it. [As i mentioned in the personal mail I sent you.]

And also , since you mentioned several times that Kubuntu wasnt getting attention from papercuts and that you were willing to look at bugs and comment on the bug nature...
This bug seemed a good candidate as a papercut and was not getting attention from kubuntu folks.
Hence assigned only for _advice_ with respect to the bug.

Subscribe and assign have different semantics. Assignment is not appropriate in this case . I will get someone to have a look at this.

Jonathan Thomas (echidnaman) wrote :

[22:31:47] <ScottK> JontheEchidna: Would you please look at Bug #411760 and see if you think it qualifies as a papercut.
[22:31:48] <ubottu> Launchpad bug 411760 in hundredpapercuts "Quick Access uses the "up one directory" icon instead of "Home" icon" [Low,Confirmed] https://launchpad.net/bugs/411760
[22:32:27] <JontheEchidna> yeah, probably. It's fixed in trunk but I've not had time to figure out some regressions I've introduced in trunk...
[22:32:39] <JontheEchidna> I suppose I should make another point release for quickaccess sometime soon

affects: plasmoid-quickaccess (Ubuntu) → plasma-widget-quickaccess (Ubuntu)
Changed in quickaccess:
status: Confirmed → Fix Committed
Vish (vish) wrote :

Scott , thanks for following this up

Changed in hundredpapercuts:
milestone: none → lucid-round-10
status: Confirmed → Fix Committed
Vish (vish) wrote :

Has this been fixed in Kubuntu Lucid?

Shaved Wookie (shavedwookie) wrote :

Nope. Not unless the fix requires some PPA or something to see. My vanilla Kubuntu Lucid install still shows up the up arrow for the icon.

Timothy Arceri (t-fridey) wrote :

Can someone confirm if this is still an issue in Natty or Oneiric?

Changed in hundredpapercuts:
milestone: lucid-round-10 → precise-9-miscellaneous

This has been marked as fix committed for a long time now. Is it actually fixed?

Changed in hundredpapercuts:
milestone: precise-9-miscellaneous → quantal-12-kubuntu
status: Fix Committed → Incomplete
Changed in quickaccess:
status: Fix Committed → Incomplete
Changed in plasma-widget-quickaccess (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for plasma-widget-quickaccess (Ubuntu) because there has been no activity for 60 days.]

Changed in plasma-widget-quickaccess (Ubuntu):
status: Incomplete → Expired
Vish (vish) on 2012-12-23
Changed in hundredpapercuts:
status: Incomplete → Invalid
Changed in quickaccess:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers